Summary:	Transport Independent RPC Library
Summary(pl.UTF-8):	Biblioteka RPC niezależnego od transportu
Name:		libtirpc
Version:	0.2.5
Release:	1
Epoch:		1
License:	BSD-like
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libtirpc/%{name}-%{version}.tar.bz2
# Source0-md5:	8cd41a5ef5a9b50d0fb6abb98af15368
Patch0:		%{name}-link.patch
URL:		http://sourceforge.net/projects/libtirpc/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	glibc >= 6:2.14-9.1
BuildRequires:	heimdal-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	heimdal-libs
Requires:	glibc >= 6:2.14-9.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation. This library forms a piece of the base of
Open Network Computing (ONC), and is derived directly from the Solaris
2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System
V Transport Layer Interface (TLI) or an equivalent X/Open Transport
Interface (XTI). TI-RPC is on-the-wire compatible with the TS-RPC,
which is supported by almost 70 vendors on all major operating
systems. TS-RPC source code (RPCSRC 4.0) remains available from
several Internet sites.

%description -l pl.UTF-8
Ten pakiet zawiera implementację SunLib RPC niezależnego od transportu
(TI-RPC). Ta biblioteka tworzy element podstawy dla ONC (Open Network
Computing) i wywodzi się bezpośrednio ze źródeł Solarisa 2.3.

TI-RPC to rozszerzona wersja TS-RPC wymagająca TLI (UNIX System V
Transport Layer Interface). Jest kompatybilna w locie z TS-RPC,
obsługiwanym przez prawie 70 producentów dla wszystkich znaczących
systemów operacyjnych. Kod źródłowy TS-RPC (RPCSRC 4.0) pozostaje
dostępny z różnych stron internetowych.

%package devel
Summary:	Development files for the TI-RPC library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki TI-RPC
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	glibc-devel >= 6:2.14-9.1
Requires:	heimdal-devel

%description devel
This package includes header files necessary for developing programs
which use the TI-RPC library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do tworzenia programów
wykorzystujących bibliotekę TI-RPC.

%package static
Summary:	Static TI-RPC library
Summary(pl.UTF-8):	Statyczna biblioteka TI-RPC
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
This package includes static TI-RPC library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną bibliotekę TI-RPC.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/%{_lib},%{_mandir}/man{3,5}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C doc install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_libdir}/libtirpc.so.* $RPM_BUILD_ROOT/%{_lib}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libtirpc.so
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib}; echo lib*.so.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libtirpc.so

# obsoleted by pkgconfig
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libtirpc.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/netconfig
%attr(755,root,root) /%{_lib}/libtirpc.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libtirpc.so.1
%{_mandir}/man5/netconfig.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtirpc.so
%{_includedir}/tirpc
%{_pkgconfigdir}/libtirpc.pc
%{_mandir}/man3/bindresvport.3t*
%{_mandir}/man3/des_crypt.3t*
%{_mandir}/man3/getnet*.3t*
%{_mandir}/man3/getrpc*.3t*
%{_mandir}/man3/rpc*.3t*
%{_mandir}/man3/rtime.3t*

%files static
%defattr(644,root,root,755)
%{_libdir}/libtirpc.a
%changelog
* Tue Oct 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libtirpc.git;a=log;h=master

* Tue Oct 14 2014 Jakub Bogusz <qboosh@pld-linux.org> c0f0e59
- updated to 0.2.5

* Tue Dec 10 2013 Jan Rękorajski <baggins@pld-linux.org> b4245f7
- gssglue support removed upstream

* Tue Dec 10 2013 Jan Rękorajski <baggins@pld-linux.org> 1b1661c
- up to 0.2.4
- removed obsolete patches

* Mon Mar 18 2013 Jan Rękorajski <baggins@pld-linux.org> a754878
- fix issue with latest automake

* Mon Mar 18 2013 Jan Rękorajski <baggins@pld-linux.org> 90cdd82
- unresolved symbols has been fixed upstream

* Mon Mar 18 2013 Jan Rękorajski <baggins@pld-linux.org> dd1e2b5
- drop unneeded and unused patches (libtirpc no longer require NIS)

* Mon Mar 18 2013 Jan Rękorajski <baggins@pld-linux.org> 2d8d009
- updated to 0.2.3
- removed obsolete patches
- updated link patch

* Mon Jul 09 2012 Marcin Krol <hawk@tld-linux.org> 6723bff
- release 4

* Sat Jan 21 2012 Jan Rękorajski <baggins@pld-linux.org> b7bba5f
- useful comment

* Tue Aug 02 2011 Jan Rękorajski <baggins@pld-linux.org> 97f9ae6
- release 3

* Sun Jun 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2484419
- rel 2; do testing ourselfs

* Sat Jun 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 7810c59
- dropped headers in libc location; release 1.4

* Fri Jun 24 2011 Jakub Bogusz <qboosh@pld-linux.org> 0dc220e
- back to version which builds with glibc with restored RPC/NIS API
- release 1.3

* Sun Jun 12 2011 Jakub Bogusz <qboosh@pld-linux.org> c672b2a
- added glibc-2.14 patch which adds some symbols no longer available from glibc (but still broken: this code relies on more symbols hidden in glibc 2.14)
- BR+R glibc >= 2.14

* Sun Jun 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d30723c
- headers in place where it was in glibc

* Tue May 03 2011 Jakub Bogusz <qboosh@pld-linux.org> d66e4d1
- updated to 0.2.2
- added des-in-libc patch (revert des_crypt.c inclusion - libc already contains
  cbc_crypt() and ecb_crypt(), and this file added just unresolved symbol)

* Mon Oct 04 2010 Jan Rękorajski <baggins@pld-linux.org> 3c75e1d
- rel 2

* Sat Aug 14 2010 Jakub Bogusz <qboosh@pld-linux.org> 0462c79
- implemented heimdal patch in more flexible way, allowing to choose heimdal even if libgssglue is installed
- renamed krb5 bcond to gssglue (this is that the bcond does)

* Sat Feb 27 2010 sparky <sparky@pld-linux.org> 6667125
- unify %attr() %ghost order

* Wed Feb 24 2010 Jan Rękorajski <baggins@pld-linux.org> 2964bc1
- up to 0.2.1

